"use strict";
const gen_Apis = require("../../../gen/Apis.js");
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/userUserLogin.js");
require("../../../common/vendor.js");
require("../../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
const common_store_useWorkStore = require("../../../common/store/useWorkStore.js");
const ME_release_items_show_model = require("./model.js");
common_store_useWorkStore.useWorkStore();
common_store_useWeAppAuthStore.useWeAppAuthStore();
const getQrCode = (res) => {
  common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.GoodsReleases.GoodsReleases.GoodsQrCode, res).then((res2) => {
    var _a;
    ME_release_items_show_model.useModel.qrCode.value = (_a = res2 == null ? void 0 : res2.data) == null ? void 0 : _a.qr_code;
    console.log(res2);
  });
};
const method = {
  getShow(res) {
    common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.GoodsReleases.GoodsReleases.Show, res).then((res2) => {
      ME_release_items_show_model.useModel.showData.value = res2 == null ? void 0 : res2.data;
      getQrCode(res2 == null ? void 0 : res2.data);
      console.log(res2);
    });
  }
};
exports.method = method;
